#procedure equalindex()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to give the same index to potential different contractions
** and keep them ordered by number
** Begun on 06/02/03

** ONLY for one line, we substitute for si1. (be aware; d_*d_=D),
** so never apply twice this!!

** Contractions always contract 2 spinor lines, so it suffices to
** rename the 1st spinor line in favour of consecutively si1,si2,...

if (match(gamma(?a,si1))=0);
  id once gamma(1,mu0?index_)=gamma(1,si1)*d_(mu0,si1);
  al once gamma(1,mu0?index_)=gamma(1,si2)*d_(mu0,si2);
endif;

** Generically we should use a disorder, but here only si1 and si2 appear
id gamma(line?,si2)*gamma(line?,si1)= 2*d_(si1,si2)-gamma(line,si1)*gamma(line,si2);

** And potentially remove with a Chisholm statement possible generated 
** si1,si1 pairs
#call chisholm()
*id gamma(line?,si0?SI)*gamma(line?,si0?SI)=4+[D-4];


*smart, isn't it?! Only works for one or two contractions, of course


#endprocedure
*$Id: equalindex.prc,v 1.3 2004/10/08 14:28:11 alorca Exp $
