#procedure pushomegas()
* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to push omegas to right in fermion chains
** Begun on 07/02/03

** Let's order chains by increasing fermion line number:

repeat;
#do i2=`EXTFERMICURRENTS',2,-1
 #do i1={`i2'-1},1,-1
  id gamma?{gamma,omega}(`i2',?a)*omega?{gamma,omega}(`i1',?b)=omega(`i1',?b)*gamma(`i2',?a);
 #enddo
#enddo
endrepeat;

#do line=1,{`EXTFERMICURRENTS'+`FERMIONLOOP'}
repeat;
** Anticommuting (Commuting)
id omega(`line',sg?)*gamma(`line',?a)=gamma(`line',?a)*omega(`line',-sg);

** Squaring
id omega(`line',+1)*omega(`line',-1)=0;
id omega(`line',-1)*omega(`line',+1)=0;
id omega(`line',sg?)*omega(`line',sg?)=omega(`line',sg);
endrepeat;
#enddo

#endprocedure
*$Id: pushomegas.prc,v 1.7 2004/10/08 14:28:12 alorca Exp $
