#procedure storeself(j,code,printfofa)

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to store self energies.
** Begun on 16/09/02

hide;
L Rqcopy=Rq;
*---------------------------------------------------------------
#if `EXTFERMICURRENTS' == 1
id gamma(p1?)*gamma5(line?)=mm`FERMIONCHANNEL'(1,4);
id gamma(p1?)*ident(line?)=mm`FERMIONCHANNEL'(1,3);
id gamma5(line?)=mm`FERMIONCHANNEL'(1,2);
id ident(line?)=mm`FERMIONCHANNEL'(1,1);
#else
Multiply mm`FERMIONCHANNEL'(1,1);
#endif
.sort
*---------------------------------------------------------------
hide Rqcopy;
#include legsindexdef.inc
#do ch={`fermioncurrentsnames'}
  #do i1=1,`i1max'
    #do i2=1,`i2max'
       G FF`ch'`i1'`i2'D`j'=Rqcopy;
       if ( match(mm`ch'(`i1',`i2')) = 0 ) discard;
       id mm`ch'(`i1',`i2')=1;
       .sort
       hide  FF`ch'`i1'`i2'D`j';
    #enddo
  #enddo
#enddo
.sort

* Test value informs if the result is consistent/incorrect (0/other)
#if `printfofa' == 1
L test=Rqcopy
#do ch={`fermioncurrentsnames'}
  #do i1=1,`i1max'
    #do i2=1,`i2max'
      - FF`ch'`i1'`i2'D`j'*mm`ch'(`i1',`i2')
    #enddo
  #enddo
#enddo
;

print test;
#elseif `printfofa' == 0
#else
  #message [massivefofa: `printfofa' argument neq 0/1. stop]
#endif

** Now we .sort to declare: Rq untouched till the .end, and drop others
.sort
drop Rqcopy,test;
unhide;


** In order to store we decide either 15 or lr stuff
.store
nwrite statistics;

** The final variable is saved as: "FF`ch'`i1'`i2'D`j'" 
** in the file FF`code'D`j'

save FF`processname'/FF`code'D`j'.sav
#do ch={`fermioncurrentsnames'}
  #do i1=1,`i1max'
    #do i2=1,`i2max'
      FF`ch'`i1'`i2'D`j'
    #enddo
  #enddo
#enddo
;


#endprocedure
*$Id: storeself.prc,v 1.4 2004/10/08 14:28:12 alorca Exp $
